HistoryResource
RESTful endpoint for querying the history of this Controller.
The following resources are applicable:
/controller/history
Mount Point: /rest/controller/history
GET
Queries the history of this Controller.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| offset | The offset into the data. This parameter is required and is used in conjunction with count. | query | |
| count | The number of rows that should be returned. This parameter is required and is used in conjunction with page. | query | |
| sortColumn | The column to sort on. This parameter is optional. If not specified the results will be returned with the most recent first. | query | |
| sortOrder | The sort order. | query | |
| startDate | The start date/time for the query. The start date/time must be formatted as 'MM/dd/yyyy HH:mm:ss'. This parameter is optional and must be specified in the timezone of the server. The server's timezone can be determined by inspecting the result of a status or history request. | query | |
| endDate | The end date/time for the query. The end date/time must be formatted as 'MM/dd/yyyy HH:mm:ss'. This parameter is optional and must be specified in the timezone of the server. The server's timezone can be determined by inspecting the result of a status or history request. | query | |
| userName | The user name of the user who's actions are being queried. This parameter is optional. | query | |
| sourceId | The id of the source being queried (usually a processor id). This parameter is optional. | query |
Response Body
| element: | historyEntity |
| media types: | application/xml application/json |
A historyEntity.
DELETE
Deletes flow history from the specified end date.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| endDate | The end date for the purge action. | query |
Response Body
| element: | historyEntity |
| media types: | application/xml application/json |
A historyEntity
/controller/history/{id}
Mount Point: /rest/controller/history/{id}
GET
Gets the action for the corresponding id.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| id | The id of the action to get. | path |
Response Body
| element: | actionEntity |
| media types: | application/xml application/json |
An actionEntity.
/controller/history/processors/{processorId}
Mount Point: /rest/controller/history/processors/{processorId}
GET
Gets the actions for the specified processor.
Parameters
| name | description | type | default |
|---|---|---|---|
| clientId | Optional client id. If the client id is not specified, a new one will be generated. This value (whether specified or generated) is included in the response. | query | |
| processorId | The id of the processor. | path |
Response Body
| element: | processorHistoryEntity |
| media types: | application/xml application/json |
An processorHistoryEntity.